QGIS Application - Feature request #15611

Add line_substring linear referencing function to expression engine

2016-09-23 05:10 AM - Nikolay Lebedev

Status: Closed

Priority: Normal

Assignee:

Category: Expressions

Pull Request or Patch supplied: Resolution: fixed/implemented
Easy fix?: No Copied to github as #: 23534
Description

It's cool that we now have line_interpolate_point() function in expression engine. It would be really nice to have a similar function that
returns a substring of a linestring (analogue to postgis st_line_substring()).

This should improve line styling and labelling possibilities.

Associated revisions

Revision a4386d61 - 2018-08-15 06:01 AM - Nyall Dawson
[FEATURE] line_substring function

Returns the portion of a line (or curve) geometry which falls
between the specified start and end distances (measured from the
beginning of the line). Z and M values are linearly interpolated

from existing values.

Fixes #15611

History

#1 - 2017-05-01 12:46 AM - Giovanni Manghi
- Easy fix? set to No

#2 - 2018-08-15 06:01 AM - Nyall Dawson
- % Done changed from 0 to 100
- Status changed from Open to Closed

Applied in changeset commit:qgis|a4386d6116695b1374c3e2a40ce214c3375f2fb2.

#3 - 2018-08-15 10:38 AM - Giovanni Manghi
- Resolution set to fixed/implemented
- Description updated
